Set Role as default

Set Role as default

POST https://api.ocamba.com/v2/adex/roles/{id}/set-as-default
Sets this Role as the default used when assigning new Application Members. The previous default role (if any) is cleared. Allowed for both custom and read-only (system) roles. Does not change permissions, assignments, or membership.

Note
After success there is exactly one default role. Calling again on the same role still returns 204.
Tip
If you don’t know the role id, list the roles to find it.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Path parameters

parameters

Response schemas

•
204
No Content
curl -X POST \
 "https://api.ocamba.com/v2/adex/roles/{id}/set-as-default" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/v2/adex/roles/{id}/set-as-default';
const options = {
  method: 'POST',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v2/adex/roles/{id}/set-as-default");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

204 No Content

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses